SolrInputDocument::fieldExists
SolrInputDocument::getField
SolrInputDocument
PHP Manual

# SolrInputDocument::getBoost

(PECL solr >= 0.9.2)

SolrInputDocument::getBoost — Retrieves the current boost value for the document

### Description

public float SolrInputDocument::getBoost ( void )

Retrieves the current boost value for the document.

### Parameters

This function has no parameters.

### Return Values

Returns the boost value on success and `FALSE` on failure.

SolrInputDocument::fieldExists
SolrInputDocument::getField
SolrInputDocument
PHP Manual